package org.virtualbox_4_0;

public enum VirtualSystemDescriptionType
{
  IGNORE(1), 
  OS(2), 
  NAME(3), 
  PRODUCT(4), 
  VENDOR(5), 
  VERSION(6), 
  PRODUCTURL(7), 
  VENDORURL(8), 
  DESCRIPTOR(9), 
  LICENSE(10), 
  MISCELLANEOUS(11), 
  CPU(12), 
  MEMORY(13), 
  HARD_DISK_CONTROLLER_IDE(14), 
  HARD_DISK_CONTROLLER_SATA(15), 
  HARD_DISK_CONTROLLER_SCSI(16), 
  HARD_DISK_CONTROLLER_RSAS(17), 
  HARD_DISK_IMAGE(18), 
  FLOPPY(19), 
  CDROM(20), 
  NETWORK_ADAPTER(21), 
  USB_CONTROLLER(22), 
  SOUNDCARD(23);

  private final int value;

  private VirtualSystemDescriptionType(int paramInt) { this.value = paramInt; }

  public int value()
  {
    return this.value;
  }

  public static VirtualSystemDescriptionType fromValue(long paramLong) {
    for (VirtualSystemDescriptionType localVirtualSystemDescriptionType : values()) {
      if (localVirtualSystemDescriptionType.value == (int)paramLong) {
        return localVirtualSystemDescriptionType;
      }
    }
    throw new IllegalArgumentException(Long.toString(paramLong));
  }

  public static VirtualSystemDescriptionType fromValue(String paramString) {
    return (VirtualSystemDescriptionType)valueOf(VirtualSystemDescriptionType.class, paramString);
  }
}